

import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function UpdateApp(name, config) {
    let filePath = `${config.foundation}/src/App.tsx`;
    let capitalizedName = name.charAt(0).toUpperCase() + name.slice(1);

    const spinner = createSpinner('Updating App.tsx file... \n').start();

    fs.readFile(filePath, 'utf-8', function (err, data) {
        if (err) { spinner.error(); process.exit(1) };
        data = data.replace('{/* END ROUTES - DO NOT REMOVE THIS LINE */}', `<Route path="/${capitalizedName}" element={<${name} />}></Route>\n\t\t\t{/* END ROUTES - DO NOT REMOVE THIS LINE */}`)
        data = data.replace('//END IMPORTS - DO NOT REMOVE THIS LINE', `import ${capitalizedName} from "./components/${name}/${capitalizedName}";\n\t\t\t//END IMPORTS - DO NOT REMOVE THIS LINE`)
       
       
        fs.writeFile(filePath, data, function (err) {
            if (err) {
                spinner.error();
                process.exit(1)
            }
            spinner.success();
        });
    });
}

export default UpdateApp;