#!/usr/bin/env node
import chalk from 'chalk';
import inquirer from 'inquirer';
import gradient from 'gradient-string';
import chalkAnimation from 'chalk-animation';
import figlet from 'figlet';
import { createSpinner } from 'nanospinner';
import createAction from './actions/createAction.js';
// console.log(chalk.bgGreen('hi mom'))

//let action;

const sleep = (ms = 2000) => new Promise((r) => setTimeout(r, ms));

async function welcome() {
    const rainbowTitle = chalkAnimation.rainbow('Welcome To Midnight CLI \n');

    await sleep();
    rainbowTitle.stop();

    // console.log(`
    // ${chalk.bgBlue('HOW TO PLAY')}
    // I am a process on your computer
    // `)
}

await welcome();

async function showOptions() {
    const answer = await inquirer.prompt({
        name: 'action',
        type: 'list',
        message: 'Elige una accion para a los web components\n',
        choices: [
            'Crear web component',
            'Cambiar nombre',
            'Eliminar'
        ]
    })

    return await handleAnswer(answer.action);
}

async function askWebComponentName() {
    const answer = await inquirer.prompt({
        name: 'name',
        type: 'input',
        message: 'Nombre del web component\n',
    })
    return answer.name;
}

async function handleAnswer(action) {

    if (action == 'Crear web component') {
        let name = await askWebComponentName();
        // fs.writeFile(name, 'Hello content!', function (err) {
        //     // if (err) {
        //     //     spinner.error();
        //     //     process.exit(1);
        //     // }
        //     // spinner.success();

        // });

        await createAction(name);
        // created(name);

    } else {
        spinner.success();
    }

    await sleep();
}
await showOptions();

function created(name) {
    console.clear();
    const msg = `Web component \n ${name} created`;
    figlet(msg, (err, data) => {
        console.log(gradient.pastel.multiline(data))
    });
}
