import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function createDefineElement(name, config) {
    let defineElementFile = `${config.webcomponents}/src/define-${name}-element.js`;
    const spinner = createSpinner('Creating html file... \n').start();

    fs.writeFile(defineElementFile, `import { Cwc${name} } from './${name}/${name}';
window.customElements.define("cwc-${name}", Cwc${name});`, function (err) {
        if (err) { spinner.error(); process.exit(1) };
        spinner.success();
    });
}

export default createDefineElement;